<?php declare(strict_types=1);
/**
 * @author Ryan Spaeth <rspaeth@spaethtech.com>
 * @copyright 2025 - Spaeth Technologies, Archous Networks
 */

namespace SpaethTech\UCRM\SDK\Configs\Interfaces;

interface ReadOnlyConfigInterface
{
    public function load(): self;
    public function get(string $key, mixed $default = null): mixed;
}
